This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 656410 - Update of Boost, hopefully to 1.46
Update of Boost, hopefully to 1.46
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
15
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 607615 619869
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-23 11:50 EST by Denis Arnaud
Modified: 2015-05-04 21:35 EDT (History)
9 users (show)

See Also:
Fixed In Version: boost-1.46.0-0.4.fc15
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 607615
: 711845 (view as bug list)
Environment:
Last Closed: 2011-03-04 21:31:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Denis Arnaud 2010-11-23 11:50:58 EST
+++ This bug was initially created as a clone of Bug #607615 +++

+++ This bug was initially created as a clone of Bug #520087 +++

Boost 1.45 has been delivered so far (http://sourceforge.net/projects/boost/files/boost/1.45.0/), and Boost 1.46 should be delivered around mid-February 2010 (http://www.boost.org/development/index.html and, when available, http://sourceforge.net/projects/boost/files/boost/1.46.0/).

Fedora 15 and Rawhide should try to ship with Boost 1.46. A Fedora feature has been submitted: https://fedoraproject.org/wiki/Features/F15Boost146
Comment 1 Petr Machata 2011-02-03 16:50:23 EST
Beta of 1.46 was out for about a week and Denis took care of adapting the cmake harness on top of that.  After some poking I succeeded in building the package itself today.  It's just a scratch build so far[1].  I'll use this tomorrow to try and rebuild a couple clients, inspect the packages, etc., before doing an official build.  So master now has 1.46.0-0.beta1, but it's not built yet.

Final should be out early next week on 7th, a day before feature freeze.  Here's hoping that there will be no ABI breakages and major fixes between beta and final, so that we don't have to redo the builds that are already done.

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=2760766 for a while
Comment 2 Fedora Update System 2011-02-26 12:49:24 EST
Package boost-1.46.0-0.4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing boost-1.46.0-0.4.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/boost-1.46.0-0.4.fc15
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-03-01 01:47:40 EST
boost-1.46.0-0.4.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update boost'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/boost-1.46.0-0.4.fc15
Comment 4 Fedora Update System 2011-03-04 21:31:23 EST
boost-1.46.0-0.4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2011-03-13 09:38:22 EDT
boost-1.46.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/boost-1.46.1-1.fc15

Note You need to log in before you can comment on or make changes to this bug.